module hes_comput_mod
  implicit none
contains

  integer function hes_comput_init() result(stat)
  end function

  integer function hes_comput_clos() result(stat)
  end function 

  integer function hes_comput_oper() result(stat)

    !!.. save receiver side greens function as a table grn_rec()
    
  end function


  subroutine hes_kernel()

    

  end subroutine


end module
